Blame SOURCES/0125-dracut-functions.sh-find_kernel_modules_by_path-fixe.patch

712866
From 64c88c2f1d9576afc8b22a9d0c0feea5b51dfb64 Mon Sep 17 00:00:00 2001
712866
From: Harald Hoyer <harald@redhat.com>
712866
Date: Mon, 17 Feb 2014 13:27:46 +0100
712866
Subject: [PATCH] dracut-functions.sh:find_kernel_modules_by_path() fixed
712866
 updates search
712866
712866
"updates/*" path does not start with "/"
712866
---
712866
 dracut-functions.sh | 2 +-
712866
 1 file changed, 1 insertion(+), 1 deletion(-)
712866
712866
diff --git a/dracut-functions.sh b/dracut-functions.sh
5c6c2a
index 96a20d52..bddcdcf2 100755
712866
--- a/dracut-functions.sh
712866
+++ b/dracut-functions.sh
712866
@@ -1530,7 +1530,7 @@ find_kernel_modules_by_path () {
712866
     _OLDIFS=$IFS
712866
     IFS=:
712866
     while read a rest; do
712866
-        [[ $a = */$1/* ]] || [[ $a = */updates/* ]] || continue
712866
+        [[ $a = */$1/* ]] || [[ $a = updates/* ]] || continue
712866
         printf "%s\n" "$srcmods/$a"
712866
     done < "$srcmods/modules.dep"
712866
     IFS=$_OLDIFS